图片 39

Flutter在Windows平台下的安装配置,flutter环境基本搭建

目录

1.
安装 Flutter
SDK2.
设置环境变量3.
Flutter
doctor4.
安装 Android
Studio5.
启动 Android Studio, 安装 Android
SDK6.
再次运行 Flutter doctor
查看依赖项7.
设置 Android
emulator8.
配置编辑器8.1
Android
Studio8.2
Visual Studio Code (VS
Code)

第一次接触移动开发, 纯小白一枚, 慢慢摸索, 记录安装.

开发IDE选择android studio.Mac环境

1. 安装 Flutter SDK

如果不能直接下载 Flutter SDK, 可以通过github安装, 请参考 Using Flutter
in
China.

下载 Flutter SDK
(flutter_windows_v0.2.8-beta.zip),
解压到指定目录, 双击运行flutter_console.bat, 完成sdk安装, 如图.

图片 1

图片 2

1.下载flutter到本地

2. 设置环境变量

在Path下增加到flutter/bin的目录, 如图:

图片 3

git clone -b beta

3. Flutter doctor

在flutter控制台运行 flutter doctor 命令, 检测是否有依赖项未安装.

图片 4

其中带X的表示需要安装的东西, 如我这里需要再安装Android toolchain 与
Android Studio.

安装Android Studio时,会默认下载安装Android
SDK,所以下一步直接安装Android Studio.

 export PATH=`pwd`/flutter/bin:$PATH

4. 安装 Android Studio

直接上图.

图片 5

全程 Next, 直到 Finish.

图片 6

2.为了让flutter可以处处使用,配置环境变量 .bash_profile

5. 启动 Android Studio, 安装 Android SDK

图片 7

图片 8

图片 9

图片 10

图片 11

图片 12

图片 13

图片 14

open -e .bash_profile
//打开环境变量配置文件,下面第一行配置环境变量,二三行是使用国内镜像

6. 再次运行 Flutter doctor 查看依赖项

图片 15

还有两个依赖需要解决

[!] Android toolchain – develop for Android devices (Android SDK
27.0.3)
X Android licenses not accepted. To resolve this, run: flutter doctor
–android-licenses

运行 flutter doctor –android-licenses

图片 16

[!] Connected devices
! No devices available

打开手机开发者选项, 打开USB调试后, 再次检测, 成功。

图片 17

export PATH=$PATH:/Users/laomao/files/flutter/bin

7. 设置 Android emulator

打开AVD Manager, 新建.

图片 18

随意选择一个后下一步

图片 19

建议选择 x86_64的 image.

图片 20

图片 21

图片 22

Graphics 选择 Hardware GLES 2.0

图片 23

export PUB_HOSTED_URL=

8. 配置编辑器

这里介绍 Android Studio 与 Visual Studio Code (VS Code) 的配置.

export FLUTTER_STORAGE_BASE_URL=

8.1 Android Studio

安装 Flutter 和 Dart 插件. Configure->Plugins 如图

图片 24

Browse repositiories..

图片 25

选择 Flutter, 安装, 弹出 Dart 插件安装时, 选择是.

图片 26

新建 Flutter project

图片 27

选择 Flutter Application

图片 28

Next 直到 Finish, 等待新建项目的完成.

图片 29

选择模拟器, 调试

图片 30

运行结果如下:

图片 31

3.flutter 检测开发环境配置

8.2 Visual Studio Code (VS Code)

安装 Dart Code 扩展

图片 32

新建 Flutter 项目

图片 33

图片 34

选择一个路径来存储项目, 注意, 路径中一定不能出现中文,
否则后面步骤会失败

图片 35

等待项目创建完成

图片 36

右下角的为上一步创建的Android emulator

图片 37

F5 开始调试

图片 38

运行结果如下.

图片 39

flutter doctor //执行这个命令查看开发环境缺少哪些

以下是本机执行结果:

laomaodeMacBook-Pro:~ laomao$ flutter doctor

Doctor summary (to see all details, run flutter doctor -v):

[✓] Flutter (Channel beta, v0.1.5, on Mac OS X 10.13.1 17B1003, locale
zh-Hans-CN)

[✓] Android toolchain – develop for Android devices (Android SDK
27.0.0)

[!] iOS toolchain – develop for iOS devices (Xcode 9.2)

    ✗ libimobiledevice and ideviceinstaller are not installed. To
install, run:

        brew install –HEAD libimobiledevice

        brew install ideviceinstaller

    ✗ CocoaPods not installed.

        CocoaPods is used to retrieve the iOS platform side’s plugin
code that responds to your plugin usage on the Dart side.

        Without resolving iOS dependencies with CocoaPods, plugins will
not work on iOS.

        For more info, see

      To install:

发表评论

电子邮件地址不会被公开。 必填项已用*标注